% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/computeObservationTime.R
\name{computeObservationTime}
\alias{computeObservationTime}
\title{computeObservationTime}
\usage{
computeObservationTime(
  timeBins,
  protocolData,
  blindTimes,
  blindTimeAsMtrZero = NULL
)
}
\arguments{
\item{timeBins}{dataframe with the time bins created by the function
\code{createTimeBins}.}

\item{protocolData}{dataframe with the protocol data from the data list
created by the function \code{extractDBData} or a subset of it created by the
function \code{filterProtocolData}.}

\item{blindTimes}{dataframe containing the blind times created by the
function \code{mergeVisibilityAndManualBlindTimes}.}

\item{blindTimeAsMtrZero}{character string vector with the blind time types
which should be treated as observation time with MTR zero.}
}
\value{
returns a dataframe with the time bins completed with the observation
times of each time bin.
}
\description{
Compute blind times and observation times during time bins based
on protocol data and blind times
}
\author{
Fabian Hertner, \email{fabian.hertner@swiss-birdradar.com};
Birgen Haest, \email{birgen.haest@vogelwarte.ch}
}
