% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getTimeBinsTable.R
\name{getTimeBinsTable}
\alias{getTimeBinsTable}
\title{Get BirdScan time bins table}
\usage{
getTimeBinsTable(dbConnection, dbDriverChar)
}
\arguments{
\item{dbConnection}{a valid database connection}

\item{dbDriverChar}{the name of the driver. If different from 'PostgreSQL'
it connects to cloud.birdradar.com}
}
\value{
A dataframe with the time bins table
}
\description{
load time bins table from an already connected 'Birdscan MR1'
'SQL' database
}
\examples{
\dontrun{
# Set server and database settings
# ===========================================================================
  dbServer       = "MACHINE\\\\SERVERNAME" # Set the name of your SQL server
  dbName         = "db_Name"               # Set the name of your database
  dbDriverChar   = "SQL Server"            # Set either "SQL Server" or "PostgreSQL"

# Open the connection with the database
# ===========================================================================
  dsn = paste0("driver=", dbDriverChar, ";server=", dbServer,
               ";database=", dbName,
               ";uid=", rstudioapi::askForPassword("Database user"),
               ";pwd=", rstudioapi::askForPassword("Database password"))
  dbConnection = RODBC::odbcDriverConnect(dsn)

timeBinsTable = getTimeBinsTable(dbConnection, dbDriverChar)
}

}
\author{
Fabian Hertner, \email{fabian.hertner@swiss-birdradar.com};
Birgen Haest, \email{birgen.haest@vogelwarte.ch}
}
